Purchase Order Receipt id
Purchase Order Receipt Item id
Gets specific Purchase Order Receipt Item by unique Purchase Order Receipt id and Purchase Order Receipt Item id
Purchase Order Receipt id
Purchase Order Receipt Item id
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Returns found Purchase Order Receipt Item
Purchase order receipt item
Purchase order receipt item identifier
Purchase order item identifier
Purchase order receipt identifier
Stock receipt identifier
Quantity expected
Quantity received
Quantity faulty
Quantity invoiced
Buy price ex
Supplier buy ex
Unit discount ex
Direct costs ex
Include tax
Quantity received variance
Created on
Modified On
Made Available On
Finalised on
Total buy price ex
Bin
Cogs ex
Total tax
Total buy price inc
Total applied buy price ex
Total direct costs ex
Total cogs ex
Total cogs inc
Allowed values:Leave On-OrderCancel BalanceReceive BalanceReview LaterCreate Supplier Return
Purchase order receipt item variance reason
Notes
Deletes specific Purchase Order Receipt Item by id
Purchase Order Receipt Id
Purchase Order Receipt Item Id
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Purchase Order Receipt Item was deleted
Sample request:
PUT /purchaseorderreceipts/1/purchaseorderreceiptitems/1
{
"quantity_expected": 1,
"buy_price_ex": 1.1,
"quantity_received": 3,
"quantity_faulty": 2,
"quantity_invoiced": 1,
"unit_discount_ex": 1.1,
"direct_costs_ex": 1.1,
"include_tax": true,
"variance_action": "Leave On-Order",
"variance_reason": {
"id": 1,
"name": "variance reason name"
},
"bin": "bin",
"notes": "notes"
}
Purchase Order Receipt id
Purchase Order Receipt Item id
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Purchase Order Item model
Returns updated Purchase Order Receipt Item
Purchase order receipt item
Purchase order receipt item identifier
Purchase order item identifier
Purchase order receipt identifier
Stock receipt identifier
Quantity expected
Quantity received
Quantity faulty
Quantity invoiced
Buy price ex
Supplier buy ex
Unit discount ex
Direct costs ex
Include tax
Quantity received variance
Created on
Modified On
Made Available On
Finalised on
Total buy price ex
Bin
Cogs ex
Total tax
Total buy price inc
Total applied buy price ex
Total direct costs ex
Total cogs ex
Total cogs inc
Allowed values:Leave On-OrderCancel BalanceReceive BalanceReview LaterCreate Supplier Return
Purchase order receipt item variance reason
Notes
Sample request:
POST /purchaseorderreceipts/1/discount
{
"discount_amount_type": "Amount",
"distribute_by": "Value",
"discount_amount": 1.1,
"purchase_order_receipt_item_ids": [1, 2]
}
Purchase Order Receipt id
Example:1
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Purchase Order Receipt discount model
Success